<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: Class Members - Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="#index_a"><span>a</span></a></li>
    <li><a href="#index_c"><span>c</span></a></li>
    <li><a href="#index_d"><span>d</span></a></li>
    <li><a href="#index_f"><span>f</span></a></li>
    <li><a href="#index_g"><span>g</span></a></li>
    <li><a href="#index_i"><span>i</span></a></li>
    <li><a href="#index_m"><span>m</span></a></li>
    <li><a href="#index_o"><span>o</span></a></li>
    <li><a href="#index_p"><span>p</span></a></li>
    <li><a href="#index_r"><span>r</span></a></li>
    <li><a href="#index_s"><span>s</span></a></li>
    <li><a href="#index_w"><span>w</span></a></li>
    <li><a href="#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_a">- a -</a></h3><ul>
<li>accrue_dimensions()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#fc2524a5b7e7b0c85f17984975748172">LASi::PostscriptDocument</a>
<li>accrueXAdvance()
: <a class="el" href="classStringDimensions.html#6b48a8bd305aed180d61db7630f3da13">StringDimensions</a>
<li>apply()
: <a class="el" href="classLASi_1_1show.html#89919c0f03ce0d1dd6c21663c931f45c">LASi::show</a>
, <a class="el" href="classLASi_1_1setFontSize.html#e96eeebbfbd2956ad456b30a946e4f17">LASi::setFontSize</a>
, <a class="el" href="classLASi_1_1setFont.html#cbfa7a84ecc446d24fa278a0bfaf8d96">LASi::setFont</a>
<li>assign()
: <a class="el" href="classFreetypeGlyphMgr.html#9780a6d7796ac5e6bda3dfb550f59ef2">FreetypeGlyphMgr</a>
</ul>
<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
<li>ContextMgr()
: <a class="el" href="classContextMgr.html#b9eed08c5fe4759605ceac0b397cfcb8">ContextMgr</a>
</ul>
<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
<li>doc()
: <a class="el" href="classLASi_1_1oPostscriptStream.html#bc769100cfa0ce8e4e50aad58919ceaa">LASi::oPostscriptStream</a>
</ul>
<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
<li>for_each_glyph_do()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#d6761365a3b9a106e62c0c498a9ce06a">LASi::PostscriptDocument</a>
<li>FreetypeGlyphMgr()
: <a class="el" href="classFreetypeGlyphMgr.html#f4ba7421cc694669c9d3d14097b66cfe">FreetypeGlyphMgr</a>
</ul>
<h3><a class="anchor" name="index_g">- g -</a></h3><ul>
<li>get_dimensions()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#ca02cc38e3fdcfdb8c001e6cd67de6da">LASi::PostscriptDocument</a>
<li>getFontSize()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#12c5c90259b16d8778219706a9ce121a">LASi::PostscriptDocument</a>
<li>getLineSpacing()
: <a class="el" href="classStringDimensions.html#e8946f159633e58ffc71618adcb2a091">StringDimensions</a>
<li>getXAdvance()
: <a class="el" href="classStringDimensions.html#101735d1edfc13a1a0a07a17b8fdcf50">StringDimensions</a>
<li>getYMax()
: <a class="el" href="classStringDimensions.html#e37ed1d08e7ba5fffb03712190fdeb30">StringDimensions</a>
<li>getYMin()
: <a class="el" href="classStringDimensions.html#98d0e88b63394326c9d2572c1f211b71">StringDimensions</a>
<li>GlyphId()
: <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#3830443c4031142a3db0d54b17239a82">LASi::PostscriptDocument::GlyphId</a>
<li>glyphProcName()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#ae3eaec64d39b063f61fe4d1405c2457">LASi::PostscriptDocument</a>
</ul>
<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
<li>invoke_glyph_routine()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#02f8faf65c76d41011cffa08c7ace44e">LASi::PostscriptDocument</a>
<li>isNewPath()
: <a class="el" href="structStateOfDrawGlyph.html#82ff116896931f110ba0206003db80d0">StateOfDrawGlyph</a>
<li>isOwner()
: <a class="el" href="classManager.html#2786293ded3430b5f57166c56eda9fec">Manager&lt; T &gt;</a>
</ul>
<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
<li>Manager()
: <a class="el" href="classManager.html#18fae41f0e313921265b84b5355ac733">Manager&lt; T &gt;</a>
</ul>
<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
<li>operator FT_Glyph()
: <a class="el" href="classFreetypeGlyphMgr.html#0df50c48c1c9697719b8015736fd465f">FreetypeGlyphMgr</a>
<li>operator T()
: <a class="el" href="classManager.html#6d58ffd84e1f297e8776df6ca07e61b4">Manager&lt; T &gt;</a>
<li>operator()()
: <a class="el" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html#e16dd92e224e35bb097b04f6a7350b19">LASi::PostscriptDocument::write_glyph_routine_to_stream</a>
<li>operator=()
: <a class="el" href="classFreetypeGlyphMgr.html#85e092ca1e7b390f438833e02482c790">FreetypeGlyphMgr</a>
<li>oPostscriptStream()
: <a class="el" href="classLASi_1_1oPostscriptStream.html#5bec594c614cfb60244d1a0d942db4b1">LASi::oPostscriptStream</a>
<li>os()
: <a class="el" href="structStateOfDrawGlyph.html#4f472b4172a56c8a764620b71c2f8116">StateOfDrawGlyph</a>
<li>osBody()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#fe7e58d323555a8be0b1cb8ed94e373d">LASi::PostscriptDocument</a>
<li>osFooter()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#9331d7b137d0fd6f1107e88b18851970">LASi::PostscriptDocument</a>
<li>osHeader()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#999bf5a5d71339e3acdc1889e9bc68e3">LASi::PostscriptDocument</a>
</ul>
<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
<li>pangoContext()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#fd925cef338df4ae4a0c3d4a8247beef">LASi::PostscriptDocument</a>
<li>PostscriptDocument()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#7cd59d0431965b0440c858200e260e94">LASi::PostscriptDocument</a>
</ul>
<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
<li>release()
: <a class="el" href="classManager.html#a7309822f83dcce094f4d576b02dd62d">Manager&lt; T &gt;</a>
</ul>
<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
<li>setFont()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#3b78a2ccc98eb3a8d71e8dc96d76886a">LASi::PostscriptDocument</a>
, <a class="el" href="classLASi_1_1setFont.html#06ac10a68f9f4d7fe507e1c9e766d364">LASi::setFont</a>
<li>setFontSize()
: <a class="el" href="classLASi_1_1setFontSize.html#f782493402c88f85a1a3e9c11a10bd8b">LASi::setFontSize</a>
, <a class="el" href="classLASi_1_1PostscriptDocument.html#2de93d93c4979c187db13fd64de85844">LASi::PostscriptDocument</a>
<li>setNewPathFalse()
: <a class="el" href="structStateOfDrawGlyph.html#b06b580413d1be3c584a8239ead15988">StateOfDrawGlyph</a>
<li>setStartPt()
: <a class="el" href="structStateOfDrawGlyph.html#b38899c44f69af941ee9f53924fd9559">StateOfDrawGlyph</a>
<li>setYMax()
: <a class="el" href="classStringDimensions.html#8e9a664f330178f3349a1bc42f17305f">StringDimensions</a>
<li>setYMin()
: <a class="el" href="classStringDimensions.html#3d79239053ab690c01c3bb26218e3760">StringDimensions</a>
<li>show()
: <a class="el" href="classLASi_1_1show.html#c16635bafaee7a8fe73e38a0a399890e">LASi::show</a>
<li>startPt()
: <a class="el" href="structStateOfDrawGlyph.html#f77fd29ace972c7b7266d6a1caf2448d">StateOfDrawGlyph</a>
<li>StateOfDrawGlyph()
: <a class="el" href="structStateOfDrawGlyph.html#7ccf5689329d308134670cc70202b4aa">StateOfDrawGlyph</a>
<li>str()
: <a class="el" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#fdaeed79bb17dd2709becd0e061b6e5c">LASi::PostscriptDocument::GlyphId</a>
<li>StringDimensions()
: <a class="el" href="classStringDimensions.html#f02b6588311f81d811e412e64b93b5c4">StringDimensions</a>
</ul>
<h3><a class="anchor" name="index_w">- w -</a></h3><ul>
<li>write()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#b47de85111ee981959f363f757b88f9a">LASi::PostscriptDocument</a>
<li>write_glyph_routine_to_stream()
: <a class="el" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html#c80c831f39c6b841d99a85f13fb2e8c0">LASi::PostscriptDocument::write_glyph_routine_to_stream</a>
</ul>
<h3><a class="anchor" name="index_~">- ~ -</a></h3><ul>
<li>~ContextMgr()
: <a class="el" href="classContextMgr.html#c00394a1c2787ab45ae9ba4c3648ff3c">ContextMgr</a>
<li>~FreetypeGlyphMgr()
: <a class="el" href="classFreetypeGlyphMgr.html#f5290bc2d4ffb7a48107667a84d01824">FreetypeGlyphMgr</a>
<li>~PostscriptDocument()
: <a class="el" href="classLASi_1_1PostscriptDocument.html#b41fb72dce1e1c5e3e8655dd7694cea7">LASi::PostscriptDocument</a>
</ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
